#
# spec file for package syncthing-gtk
#

%global __requires_exclude typelib\\((Caja|Nautilus|Nemo)\\)
%define _name   syncthing_gtk

Name:           syncthing-gtk
Version:        0.9.2.7
Release:        %mkrel 1
Summary:        Syncthing Gtk-based graphical interface
License:        GPL-2.0+
Group:          Networking/Chat
Url:            https://github.com/syncthing/syncthing-gtk
Source:         https://github.com/syncthing/%{name}/archive/%{name}-%{version}.tar.xz
Patch0:         syncthing-gtk-fix-config-read.patch
Requires:       psmisc
Requires:       python-dateutil
Requires:       python-gobject
Requires:       syncthing
Requires:       python-pyinotify
Requires:       python-cairo
Requires:       libnotify
Requires:       librsvg
BuildArch:      noarch

%description
Graphical user interface with notification area icon for Syncthing
based on GTK+ and Python.

Supported Syncthing features:
 * Everything what WebUI can display.
 * Adding / editing / deleting nodes.
 * Adding / editing / deleting repositories.
 * Restart / shutdown server.
 * Editing daemon settings.

Additional features:
 * First run wizard for initial configuration.
 * Running Syncthing daemon in background.
 * Half-automatic setup for new nodes and repositories.
 * Filesystem watching and instant synchronisation using inotify.
 * Caja, Nemo, and Nautilus file managers integration.
 * Desktop notifications.

%prep
%setup -q
%patch0 -p1

sed -i 's/^\(Exec=\).*$/\1%{name}/' %{name}.desktop

%build
python setup.py build_py --nostdownloader

%install
rm -rf %buildroot

python setup.py install --root=%{buildroot} --prefix=%{_prefix}

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc LICENSE README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{python_sitelib}/%{_name}/
%{python_sitelib}/%{_name}-*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}*.png
%{_datadir}/icons/hicolor/*/emblems/emblem-*.png
%{_datadir}/icons/hicolor/*/status/si-*.png
%{_datadir}/pixmaps/*.png
%{_mandir}/man1/%{name}.1*


%changelog
* Sat May 13 2017 bb2 <bb2> - 0.9.2.4-1pclos2017
- create package
